import {ChangeDetectionStrategy, Component, OnInit} from '@angular/core';
import {SearchDip} from '@app/access/access.action';
import {AccessStateModel} from '@app/access/access.state';
import {StateEnum} from '@app/enums/state.enum';
import {DipModel} from '@app/generated-api';
import {Select, Store} from '@ngxs/store';
import {Observable} from 'rxjs';


@Component({
  selector: 'dlcm-access-view',
  templateUrl: './access-view.component.html',
  styleUrls: ['./access-view.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AccessViewComponent implements OnInit {
  @Select((state) => (state[StateEnum.access] as AccessStateModel).isLoading) isLoading$: Observable<boolean>;
  @Select((state) => (state[StateEnum.access] as AccessStateModel).dips) dips$: Observable<DipModel[]>;

  constructor(private store: Store) {
  }

  ngOnInit() {
    // this.store.dispatch(new GetAllDip());
  }

  search(searchTerm: string) {
    this.store.dispatch(new SearchDip(searchTerm));
  }
}
