import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {CreateDepositViewComponent} from '@app/deposit/views/create-deposit-view/create-deposit-view.component';
import {DepositDetailViewComponent} from '@app/deposit/views/deposit-detail-view/deposit-detail-view.component';
import {DepositViewComponent} from '@app/deposit/views/deposit-view/deposit-view.component';
import {DepositRoutesEnum} from '@app/enums/routes.enum';
import {AppRoutesEnum} from '@app/module/app-routing.module';


const routes: Routes = [
  {
    path: AppRoutesEnum.root,
    component: DepositViewComponent,
  },
  {
    path: DepositRoutesEnum.detail + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: DepositDetailViewComponent,
  },
  {
    path: DepositRoutesEnum.create,
    component: CreateDepositViewComponent,
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DepositRoutingModule {
}
