import {NgModule} from '@angular/core';
import {DepositRoutingModule} from '@app/deposit/deposit-routing.module';
import {DepositState} from '@app/deposit/deposit.state';
import {DepositService} from '@app/deposit/services/deposit.service';
import {DepositViewComponent} from '@app/deposit/views/deposit-view/deposit-view.component';
import {SharedModule} from '@app/shared/shared.module';
import {TranslateModule} from '@ngx-translate/core';
import {NgxsModule} from '@ngxs/store';
import {CreateDepositComponent} from './components/create-deposit-component/create-deposit.component';
import {DepositDetailComponent} from './components/deposit-detail/deposit-detail.component';
import {TableDepositsComponent} from './components/table-deposits/table-deposits.component';
import {CreateDepositViewComponent} from './views/create-deposit-view/create-deposit-view.component';
import {DepositDetailViewComponent} from './views/deposit-detail-view/deposit-detail-view.component';

const views = [
  DepositViewComponent,
  CreateDepositViewComponent,
  DepositDetailViewComponent,
];
const containers = [];
const components = [
  TableDepositsComponent,
  CreateDepositComponent,
  DepositDetailComponent,
];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...components,
  ],
  imports: [
    SharedModule,
    DepositRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      DepositState,
    ]),
  ],
  entryComponents: [],
  exports: [
    ...views,
    ...containers,
  ],
  providers: [
    DepositService,
  ],
})
export class DepositModule {
}
