import {ChangeDetectionStrategy, Component, OnInit} from '@angular/core';
import {Create} from '@app/deposit/deposit.action';
import {StateEnum} from '@app/enums/state.enum';
import {DepositsModel, LanguagesModel, LicensesModel} from '@app/generated-api';
import {LanguageStateModel} from '@app/shared/language.state';
import {LicenseStateModel} from '@app/shared/license.state';
import {Select, Store} from '@ngxs/store';
import {Observable} from 'rxjs';

@Component({
  selector: 'dlcm-create-deposit-view',
  templateUrl: './create-deposit-view.component.html',
  styleUrls: ['./create-deposit-view.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateDepositViewComponent implements OnInit {
  @Select((state) => (state[StateEnum.language] as LanguageStateModel).languages) languages$: Observable<LanguagesModel[]>;
  @Select((state) => (state[StateEnum.license] as LicenseStateModel).licenses) licenses$: Observable<LicensesModel[]>;

  constructor(private store: Store) {
  }

  ngOnInit() {
  }

  createDeposit(deposit: DepositsModel) {
    this.store.dispatch(new Create(deposit));
  }
}
