import {ChangeDetectionStrategy, Component, Inject, OnInit} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from '@angular/material';
import {DeleteDialogModel} from '@app/organizational-unit/models/delete-dialog.model';
import {Delete} from '@app/organizational-unit/organizational-unit.action';
import {Store} from '@ngxs/store';

@Component({
  selector: 'dlcm-delete-dialog',
  templateUrl: './delete-dialog.component.html',
  styleUrls: ['./delete-dialog.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DeleteDialogComponent implements OnInit {
  paramMessage = {name: ''};

  constructor(private store: Store,
              public dialogRef: MatDialogRef<DeleteDialogComponent>,
              @Inject(MAT_DIALOG_DATA) public data: DeleteDialogModel) {
  }

  ngOnInit() {
    this.paramMessage.name = this.data.organizationalUnitName;
  }

  confirm() {
    this.store.dispatch(new Delete(this.data.organizationalUnitId));
    this.dialogRef.close();
  }
}
