import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {OrganizationalUnitRoutesEnum} from '@app/enums/routes.enum';
import {AppRoutesEnum} from '@app/module/app-routing.module';
import {CreateOrganizationalUnitViewComponent} from '@app/organizational-unit/views/create-organizational-unit-view/create-organizational-unit-view.component';
import {EditViewComponent} from '@app/organizational-unit/views/edit-view/edit-view.component';
import {OrganizationalUnitViewComponent} from '@app/organizational-unit/views/organization-unit-view/organizational-unit-view.component';
import {OrganizationalUnitDetailViewComponent} from '@app/organizational-unit/views/organizational-unit-detail-view/organizational-unit-detail-view.component';

const routes: Routes = [
  {
    path: '',
    component: OrganizationalUnitViewComponent,
  },
  {
    path: OrganizationalUnitRoutesEnum.detail + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: OrganizationalUnitDetailViewComponent,
  },
  {
    path: OrganizationalUnitRoutesEnum.edit + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: EditViewComponent,
  },
  {
    path: OrganizationalUnitRoutesEnum.create,
    component: CreateOrganizationalUnitViewComponent,
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class OrganizationalUnitRoutingModule {
}
