import {NgModule} from '@angular/core';
import {TableOrganizationalUnitsComponent} from '@app/organizational-unit/components/table-organizational-units/table-organizational-units.component';
import {OrganizationalUnitRoutingModule} from '@app/organizational-unit/organizational-unit-routing.module';
import {OrganizationalUnitState} from '@app/organizational-unit/organizational-unit.state';
import {SharedModule} from '@app/shared/shared.module';
import {TranslateModule} from '@ngx-translate/core';
import {NgxsModule} from '@ngxs/store';
import {CreateOrganizationalUnitsComponent} from './components/create-organizational-units/create-organizational-units.component';
import {OrganizationalUnitsDetailComponent} from './components/organizational-units-detail/organizational-units-detail.component';
import {DeleteDialogComponent} from './dialogs/delete-dialog/delete-dialog.component';
import {CreateOrganizationalUnitViewComponent} from './views/create-organizational-unit-view/create-organizational-unit-view.component';
import {EditViewComponent} from './views/edit-view/edit-view.component';
import {OrganizationalUnitViewComponent} from './views/organization-unit-view/organizational-unit-view.component';
import {OrganizationalUnitDetailViewComponent} from './views/organizational-unit-detail-view/organizational-unit-detail-view.component';

const views = [
  OrganizationalUnitDetailViewComponent,
  OrganizationalUnitViewComponent,
  CreateOrganizationalUnitViewComponent,
  EditViewComponent,
];
const containers = [];
const dialogs = [
  DeleteDialogComponent,
];
const components = [
  TableOrganizationalUnitsComponent,
  CreateOrganizationalUnitsComponent,
  OrganizationalUnitsDetailComponent,
];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...dialogs,
    ...components,
  ],
  imports: [
    SharedModule,
    OrganizationalUnitRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      OrganizationalUnitState,
    ]),
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...views,
  ],
  providers: [],
})
export class OrganizationalUnitModule {
}
