import { Component, OnInit, ChangeDetectionStrategy } from '@angular/core';
import {StateEnum} from '@app/enums/state.enum';
import {DepositsModel, LanguagesModel, LicensesModel, OrganizationalUnitsModel} from '@app/generated-api';
import {Create} from '@app/organizational-unit/organizational-unit.action';
import {LanguageStateModel} from '@app/shared/language.state';
import {LicenseStateModel} from '@app/shared/license.state';
import {Select, Store} from '@ngxs/store';
import {Observable} from 'rxjs';

@Component({
  selector: 'dlcm-create-organizational-unit-view',
  templateUrl: './create-organizational-unit-view.component.html',
  styleUrls: ['./create-organizational-unit-view.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class CreateOrganizationalUnitViewComponent implements OnInit {
  constructor(private store: Store) {
  }

  ngOnInit() {
  }

  createDeposit(organizationalUnit: OrganizationalUnitsModel) {
    this.store.dispatch(new Create(organizationalUnit));
  }
}
